<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('users', function (Blueprint $table) {
            $table->string('mobile', 20)->nullable();
    $table->date('date_of_birth')->nullable();
    $table->string('relation_type', 50)->nullable();
    $table->string('father_name', 150)->nullable();
    $table->string('gender', 20)->nullable();
    $table->string('employee_code', 50)->nullable()->unique();
    $table->string('profile_picture')->nullable();
    $table->text('address')->nullable();
    $table->string('city', 100)->nullable();
    $table->string('state', 100)->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('users', function (Blueprint $table) {
            //
        });
    }
};
